<h2 class="text-center mb-0" mat-dialog-title text-center>Modification d'un inventaire</h2>

<form [formGroup]="inventoryForm" (ngSubmit)='onUpdateInventory()'>
  <mat-dialog-content class="container m-0 p-0">
    <div class="row">
      <div class="col">
        <mat-form-field>
          <input formControlName="name" matInput placeholder="Nom" required>
        </mat-form-field>
      </div>
    </div>

    <div class="row">
      <div class="col">
        <mat-form-field>
          <textarea formControlName="description" rows=1 matInput class="desc" placeholder="Description"></textarea>
        </mat-form-field>
      </div>
    </div>

    <div class="row">
      <div class="col">
        <div class="mat-elevation-z2">
          <table d-inline-block pre-scrollable mat-table [dataSource]="dataSource" matSort>
            <!-- Nom Column -->
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Nom </th>
              <td mat-cell *matCellDef="let product" class="text-left"> {{product.name}} </td>
            </ng-container>

            <!-- Quantité Column -->
            <ng-container matColumnDef="quantity">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Quantité </th>
              <td mat-cell *matCellDef="let product" class="text-left"> {{product.currentQuantity}} </td>
            </ng-container>

            <!-- Actions Column -->
            <ng-container matColumnDef="actions">
              <th mat-header-cell *matHeaderCellDef class="text-center"> Actions </th>
              <td mat-cell *matCellDef="let product"><i (click)='onDeleteProduct(product)' class="icon-click fa fa-trash"></i></td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let product; columns: displayedColumns;">
            </tr>
          </table>
          <mat-paginator [hidePageSize]="true" [pageSizeOptions]="[5]" showFirstLastButtons></mat-paginator>
        </div>
      </div>
    </div>

    <div class="row mt-2">
      <section [formGroup]="productForm" class="sect-product">
        <div class="col-md-8">
          <mat-form-field class="example-full-width">
            <input formControlName="productName" type="text" placeholder="Produit" aria-label="products" matInput
              [matAutocomplete]="auto">
            <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFn">
              <mat-option *ngFor="let product of filteredProducts | async" [value]="product">{{product.name}}</mat-option>
            </mat-autocomplete>
          </mat-form-field>
        </div>
        <div class="col-md-2">
          <mat-form-field>
            <input formControlName="productQuantity" matInput type="number" placeholder="Quantité" value="0">
          </mat-form-field>
        </div>
        <div class="col-md-2">
          <button (click)="onAddProduct()" type="button" class="btn btn-outline-secondary">Ajouter</button>
        </div>
      </section>
    </div>
  </mat-dialog-content>

  <mat-dialog-actions align="center">
    <button type="button" class="btn btn-secondary" mat-dialog-close>Annuler</button>
    <button type="submit" class="btn btn-primary" cdkFocusInitial>Enregistrer</button>
    <button (click)="onUpdateAndCloseInventory()" type="button" class="btn btn-danger">Clôturer</button>
  </mat-dialog-actions>
</form>
